### File

`packages/eui-dynamic-forms-ui/src/lib/components/container-field/date-range/date-range.component.inputs.ts`

### Index

###### Properties

- Readonly Optional dateOutputFormat
- Readonly Optional disabled
- Readonly label
- Readonly Optional maxDate
- Readonly Optional minDate
- Readonly Optional rangeDef
- Readonly Optional rangePlaceholder
- Readonly Optional readOnly
- Readonly Optional required
- Readonly Optional tooltip

### Properties

Readonly Optional dateOutputFormat
Type : `string`
DD-MM-YYYY

Readonly Optional disabled
Type : `boolean`

Readonly label
Type : `string | Array<UxDynLabelMetaData>`

Readonly Optional maxDate
Type : `string | "today"`
Date string: DD/MM/YYYY or today

Readonly Optional minDate
Type : `string | "today"`
Date string: DD/MM/YYYY or today

Readonly Optional rangeDef
Type : `literal type`
If range def structure is object {startKey:string,endKey:string} If range def structure is array {startKey:number,endKey:number}

Readonly Optional rangePlaceholder
Type : `literal type`

Readonly Optional readOnly
Type : `boolean`

Readonly Optional required
Type : `boolean`

Readonly Optional tooltip
Type : `string | Array<UxDynLabelMetaData>`

# result-matching ""

# No results matching ""